package ncc.vo.yypub.formulas;
import java.util.List;

import nc.vo.pub.formulaset.IFormulaConstant;
import nc.vo.pub.formulaset.core.ParseException;
import nc.vo.pub.formulaset.function.NcInnerFunction;
/**
 * @Description: 获取表头信息公式
 * 
 * @author 谢文如 【创喜NC大域接口】
 * @date 2019-1-14
 * @version with NC V6.5
 */
public class GetHeadColValue extends NcInnerFunction {

	public GetHeadColValue() {
		numberOfParameters = 1;
		functionType = IFormulaConstant.FUN_CUSTOM;
		functionDesc = "getheadcolvalue(#H_colName) 获取表头  colName 字段的值[目前只限于 ExtFormulaParser 解析器时有效]";
	}

	public Object function(List param) throws ParseException {
		if (param == null || param.size() != numberOfParameters) {
			throw new ParseException("错误：参数错误!");
		}
		return param.get(0);
	}
}